Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class Ping

    java.lang.Object
      rice.pastry.client.PastryAppl
          rice.pastry.testing.Ping

All Implemented Interfaces:
  MessageReceiver

public class Ping
extends PastryAppl

Ping A performance test suite for pastry. This is the per-node app object.

Version:
  $Id: Ping.java,v 1.3 2005/03/11 00:57:57 jeffh Exp $
Author:
  Rongmei Zhang

Field Summary

Fields inherited from class rice.pastry.client.PastryAppl
`address, instance, thePastryNode`

Constructor Summary
`Ping(PastryNode pn)` Constructor for Ping.

Method Summary
`boolean` | `enrouteMessage(Message msg, Id from, NodeId nextHop, SendOptions opt)` DESCRIBE THE METHOD
`Address` | `getAddress()` Gets the Address attribute of the Ping object
`Credentials` | `getCredentials()` Gets the Credentials attribute of the Ping object
`void` | `leafSetChange(NodeHandle nh, boolean wasAdded)` DESCRIBE THE METHOD
`void` | `messageForAppl(Message msg)` DESCRIBE THE METHOD
`void` | `routeSetChange(NodeHandle nh, boolean wasAdded)` DESCRIBE THE METHOD
`void` | `sendPing(NodeId nid)` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.client.PastryAppl
`getLeafSet, getNodeHandle, getNodeId, getRoutingTable, isClosest, messageNotDelivered, notifyReady, receiveMessage, registerReceiver, routeMsg, routeMsgDirect, sendMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ping

    public Ping(PastryNode pn)

  Constructor for Ping.

Parameters:
  `pn` - DESCRIBE THE PARAMETER

Method Detail

### getAddress

    public Address getAddress()

  Gets the Address attribute of the Ping object

  Overrides:
    `getAddress` in class `PastryAppl`
  Returns:
    The Address value

### getCredentials

    public Credentials getCredentials()

  Gets the Credentials attribute of the Ping object

  Specified by:
    `getCredentials` in class `PastryAppl`
  Returns:
    The Credentials value

### sendPing

    public void sendPing(NodeId nid)

  DESCRIBE THE METHOD

  Parameters:
    `nid` - DESCRIBE THE PARAMETER

### messageForAppl

    public void messageForAppl(Message msg)

  DESCRIBE THE METHOD

  Specified by:
    `messageForAppl` in class `PastryAppl`
  Parameters:
    `msg` - DESCRIBE THE PARAMETER

### enrouteMessage

    public boolean enrouteMessage(Message msg,
                                  Id from,
                                  NodeId nextHop,
                                  SendOptions opt)

  DESCRIBE THE METHOD

  Overrides:
    `enrouteMessage` in class `PastryAppl`
  Parameters:
    `msg` - DESCRIBE THE PARAMETER
    `from` - DESCRIBE THE PARAMETER
    `nextHop` - DESCRIBE THE PARAMETER
    `opt` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### leafSetChange

    public void leafSetChange(NodeHandle nh,
                              boolean wasAdded)

  DESCRIBE THE METHOD

  Overrides:
    `leafSetChange` in class `PastryAppl`
  Parameters:
    `nh` - DESCRIBE THE PARAMETER
    `wasAdded` - DESCRIBE THE PARAMETER

### routeSetChange

    public void routeSetChange(NodeHandle nh,
                               boolean wasAdded)

  DESCRIBE THE METHOD

  Overrides:
    `routeSetChange` in class `PastryAppl`
  Parameters:
    `nh` - DESCRIBE THE PARAMETER
    `wasAdded` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.